Skip to content
Pay
Esc
↑↓navigate↵open⌘Jpreview

Message the payer

Send the payer of a successful payment an extra SMS. Needs the collect permission.

POST/payments/{reference}/notify

See Message the payer.

referencepathstringrequired

The external_reference of a successful collection.

messagebodystringrequired

Up to 160 characters.

languagebodystring

ISO 639 language code, used to pick MTN’s message template.

Request
curl -X POST 'https://api.razpay.razonetix.com/v1/payments/order-1001/notify' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
  "message": "Your ticket number is 4821",
  "language": "en"
}'
{ "success": true, "message": "notification sent", "data": null }
{ "success": false, "message": "the window for sending a notification for this payment has passed", "data": null }

Was this page helpful?